Get DATEX II v3 AFIR energy infrastructure statuses
curl --request GET \
--url https://api.spirii.com/v2/afir/energy-infrastructure-statusesimport requests
url = "https://api.spirii.com/v2/afir/energy-infrastructure-statuses"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.spirii.com/v2/afir/energy-infrastructure-statuses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"messageContainer": {
"payload": [
{
"modelBaseVersionG": "3",
"profileNameG": "AFIR Energy Infrastructure",
"profileVersionG": "01-00-00",
"aegiEnergyInfrastructureStatusPublication": {
"lang": "en",
"publicationTime": "2025-06-15T12:00:00.000Z",
"publicationCreator": {
"country": "DK",
"nationalIdentifier": "DK-NAP-SPIRII"
},
"headerInformation": {
"confidentiality": {
"value": "available",
"extendedValueG": "customValue"
},
"informationStatus": {
"value": "available",
"extendedValueG": "customValue"
}
},
"energyInfrastructureSiteStatus": [
{
"reference": {
"targetClass": "FacilityObject",
"idG": "<domain-identifier>-1234",
"versionG": "1"
},
"lastUpdated": "2025-06-15T12:00:00.000Z",
"energyInfrastructureStationStatus": [
{
"reference": {
"targetClass": "FacilityObject",
"idG": "<domain-identifier>-1234",
"versionG": "1"
},
"lastUpdated": "2025-06-15T12:00:00.000Z",
"refillPointStatus": [
{
"aegiElectricChargingPointStatus": {
"reference": {
"targetClass": "FacilityObject",
"idG": "<domain-identifier>-1234",
"versionG": "1"
},
"status": {
"value": "available",
"extendedValueG": "customValue"
},
"lastUpdated": "2025-06-15T12:00:00.000Z",
"energyRateUpdate": [
{
"lastUpdated": "2025-06-15T12:00:00.000Z",
"energyRateReference": {
"targetClass": "FacilityObject",
"idG": "<domain-identifier>-1234",
"versionG": "1"
},
"energyPrice": [
{
"priceType": {
"value": "available",
"extendedValueG": "customValue"
},
"value": 0.37,
"taxIncluded": true,
"taxRate": 25,
"overallPeriod": {
"overallStartTime": "2025-01-01T00:00:00Z",
"overallEndTime": "2025-12-31T23:59:59Z",
"validPeriod": [
{
"recurringDayWeekMonthPeriod": [
{
"comDayWeekMonth": {
"applicableDay": [
{
"value": "available",
"extendedValueG": "customValue"
}
]
}
}
],
"recurringTimePeriodOfDay": [
{
"startTimeOfPeriod": "09:00",
"endTimeOfPeriod": "17:00"
}
]
}
]
},
"timeBasedApplicability": {
"fromMinute": 240,
"toMinute": 480
},
"energyBasedApplicability": {
"fromKWh": 0,
"toKWh": 50
}
}
]
}
]
}
}
]
}
]
}
],
"tableReference": [
{
"targetClass": "FacilityObject",
"idG": "<domain-identifier>-1234",
"versionG": "1"
}
]
}
}
],
"exchangeInformation": {
"exchangeContext": {
"codedExchangeProtocol": {
"value": "snapshotPull"
},
"exchangeSpecificationVersion": "3.0",
"supplierOrCisRequester": {}
},
"dynamicInformation": {
"exchangeStatus": {
"value": "online"
},
"messageGenerationTimestamp": "2025-06-15T12:00:00.000Z"
}
}
}
}Get DATEX II v3 AFIR energy infrastructure statuses
GET
/
v2
/
afir
/
energy-infrastructure-statuses
Get DATEX II v3 AFIR energy infrastructure statuses
Headers
Return 304 if data has not changed since this date
Query Parameters
List of IDs of customers that 'own' the locations. The 'customerIds' are unique identifiers for customers. The 'customers' can be found in the Connect Customer management page. These customer IDs correspond with the customer IDs that can be retrieved from the Customer v2 API.
Example:
[123, 456, 789]
Charge Point Operator (CPO) ID, also known as Operator
Example:
42
Country ISO codes (ISO 3166-1 alpha-2).
Example:
["DK", "FR", "DE"]
Response
Gzipped DATEX II v3 dynamic payload
Show child attributes
Show child attributes
Was this page helpful?